Bug Hunting Session
Bug 54586 - Import CDR files with polish characters
Summary: Import CDR files with polish characters
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: (target:4.0.2)
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-06 08:56 UTC by wabik
Modified: 2013-11-13 09:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
CDR file with polish characters (12.32 KB, application/vnd.corel-draw)
2012-09-06 08:56 UTC, wabik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wabik 2012-09-06 08:56:54 UTC
Created attachment 66714 [details]
CDR file with polish characters

Importing Corel file with text containing polish characters fails.

Bad coding?

See attachment.
Comment 1 Urmas 2012-09-06 22:46:33 UTC
Yes, no one cares to make * Cyr and * CE fonts to work properly.
Comment 2 wabik 2012-09-07 06:02:08 UTC
I adding Importance: Higher and Blocker because for now it makes this feature useless.
Comment 3 Valek Filippov 2012-09-08 02:28:47 UTC
> it makes this feature useless
"this feature"??

Not highest and not blocker.
DrawCyr (or its modified version) as a workaround.
Comment 4 wabik 2012-09-12 08:21:35 UTC
DrawCyr is not an answer for Polish characters such as ęóąśłżźćń

Anything else?

Thanks in advance!
Comment 5 Petr Mladek 2012-10-25 11:12:41 UTC
I see that Corel documents import is a new feature in LO-3.6, see http://wiki.documentfoundation.org/ReleaseNotes/3.6#Filters I guess that it is a work in progress and all features are not implemented yet. Please, be patient. I expect that Fridrich is working on it only when time permits and he is a really busy man.

Anyway, bugs in this filter can't block LO release at this stage => lowering the severity.
Comment 6 Fridrich Strba 2013-03-22 11:55:17 UTC
This bug is fixed and the fix will be in 4.0.2. It can be tested in the 4.0.2 RC1 already.